> For the complete documentation index, see [llms.txt](https://docs.bindplane.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bindplane.com/changelog/june-2024/2024-06-19-release.md).

# 2024-06-19-Release

Version 1.60.0 • JUN 19, 2024

## New Features

* [Support setting agent metrics port with global config option](#agent-metrics-port)
* [OpAMP agent authentication configuration](#opamp-authentication)

## Bug Fixes

* Fix transform processor in Couchbase source
* Fix small rollout segment width when configurations have a low agent count

## Other

* Optimize agents GraphQL queries
* Return 452 status when there is no license for the organization
* Include error in log for BindPlane Transform Agent process
* Upgrade to opamp-go v0.15.0

### Agent Metrics Port

Agents managed by BindPlane expose metrics on TCP port `8888` by default. The port is now configurable using a global setting. Modifying the port will affect all agents.

The BindPlane configuration file's `advanced` section can be updated to include the `agent.telemetryPort`option.

```yaml
advanced:
  agent:
    telemetryPort: 8888
```

Modifying advanced options should be considered an advanced operation, and is not recommended\
unless guided by BindPlane support.

### OpAMP Authentication

A new configuration section `agents` allow users to configure OpAMP authentication. Currently, `secretKey`is the only supported authentication type. It supports one or more headers. In this example, the BindPlane control plane will check for `X-Bindplane-Authorization` first and then `Authorization` if the first header is not present.

```yaml
agents:
  auth:
    type: secretKey
    secretKey:
      headers: 
      - X-Bindplane-Authorization
      - Authorization
```

Modifying the agent authentication options should be considered an advanced operation, and is not recommended unless guided by BindPlane support.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bindplane.com/changelog/june-2024/2024-06-19-release.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
